dfhack/ci/download-df.sh

53 lines
1.4 KiB
Bash

2018-02-03 21:01:15 -07:00
#!/bin/sh
2020-06-29 20:04:33 -06:00
set -e
df_tardest="df.tar.bz2"
save_tardest="test_save.tgz"
2018-02-03 21:01:15 -07:00
cd "$(dirname "$0")"
echo "DF_VERSION: $DF_VERSION"
echo "DF_FOLDER: $DF_FOLDER"
mkdir -p "$DF_FOLDER"
# back out of df_linux
2019-01-02 17:15:19 -07:00
cd "$DF_FOLDER/.."
2018-02-03 21:01:15 -07:00
if ! test -f "$df_tardest"; then
2018-12-30 15:47:10 -07:00
minor=$(echo "$DF_VERSION" | cut -d. -f2)
patch=$(echo "$DF_VERSION" | cut -d. -f3)
echo "Downloading DF $DF_VERSION"
while read url; do
echo "Attempting download: ${url}"
if wget -v "$url" -O "$df_tardest"; then
break
fi
done <<URLS
https://www.bay12games.com/dwarves/df_${minor}_${patch}_linux.tar.bz2
2023-01-16 00:13:58 -07:00
https://files.dfhack.org/DF/${minor}.${patch}/df_${minor}_${patch}_linux.tar.bz2
URLS
echo $df_tardest
if ! test -f "$df_tardest"; then
echo "DF failed to download: $df_tardest not found"
exit 1
fi
echo "Downloading test save"
#test_save_url="https://files.dfhack.org/DF/0.${minor}.${patch}/test_save.tgz"
test_save_url="https://drive.google.com/uc?export=download&id=1XvYngl-DFONiZ9SD9OC4B2Ooecu8rPFz"
if ! wget -v "$test_save_url" -O "$save_tardest"; then
echo "failed to download test save"
exit 1
fi
echo $save_tardest
2018-12-30 15:47:10 -07:00
fi
2018-02-03 21:01:15 -07:00
2018-12-30 15:47:10 -07:00
rm -rf df_linux
2023-01-16 00:13:58 -07:00
mkdir -p df_linux/save
2018-02-03 21:01:15 -07:00
echo Extracting
tar xf "$df_tardest" --strip-components=1 -C df_linux
2023-01-16 00:13:58 -07:00
tar xf "$save_tardest" -C df_linux/save
2018-02-03 21:01:15 -07:00
echo Done
ls -l